| Verb | URI | Description |
| GET | /loadbalancers/loadBalancerId/connectionthrottle | List connection throttling configuration. |
| PUT | /loadbalancers/loadBalancerId/connectionthrottle | Update throttling configuration. |
| DELETE | /loadbalancers/loadBalancerId/connectionthrottle | Remove connection throttling configurations. |
Normal Response Code(s): 200, 202
Error Response Code(s): loadbalancerFault (400, 500), serviceUnavailable (503), unauthorized (401), badRequest (400), overLimit (413)
This operation does not require a request body.
The connection throttling feature imposes limits on the number of connections per IP address to help mitigate malicious or abusive traffic to your applications. The attributes in the table that follows can be configured based on the traffic patterns for your sites.
The following table lists the required and optional attributes for Update Throttling Configuration:
| Name | Description | Required | ||
| maxConnectionRate | Maximum number of
connections allowed from a single IP
address in the defined
rateInterval. Setting
a value of 0 allows an unlimited
connection rate; otherwise, set a
value between 1 and 100000. |
No | ||
| maxConnections | Maximum number of connections to allow for a single IP address. Setting a value of 0 will allow unlimited simultaneous connections; otherwise set a value between 1 and 100000. | No | ||
| minConnections | Allow at least this number of connections per IP address before applying throttling restrictions. Setting a value of 0 allows unlimited simultaneous connections; otherwise, set a value between 1 and 1000. | No | ||
| rateInterval |
Frequency (in seconds) at which
the |
No | ||
![]() | Note |
|---|---|
You need to specify all of the attributes when initially creating the connection throttle, however when you update an existing setting you can pass as few as one attribute. |
Example 4.82. List Connection Throttling Configuration Response: XML
<connectionThrottle xmlns="http://docs.openstack.org/loadbalancers/api/v1.0"
minConnections="10"
maxConnections="100"
maxConnectionRate="50"
rateInterval="60" />
Example 4.83. List Connection Throttling Configuration Response: JSON
{"connectionThrottle":{
"maxConnections": 100,
"minConnections": 10,
"maxConnectionRate": 50,
"rateInterval": 60
}
}
Example 4.84. Update Connection Throttling Configuration Request: XML
<connectionThrottle xmlns="http://docs.openstack.org/loadbalancers/api/v1.0"
minConnections="10"
maxConnections="100"
maxConnectionRate="50"
rateInterval="60" />
Example 4.85. Update Connection Throttling Configuration Request: JSON
{
"maxConnections": 10,
"minConnections": 100,
"maxConnectionRate": 50,
"rateInterval": 60
}
Example 4.86. List Atom Connection Throttling Response: XML
<?xml version='1.0' encoding='UTF-8'?>
<feed xmlns="http://www.w3.org/2005/Atom">
<link rel="next"
href="https://ord.loadbalancers.api.rackspacecloud.com/v1.0/1234/loadbalancers/141/connectionthrottle.atom?page=2"/>
<title type="text">Connection Throttle Feed</title>
<id>1234-loadbalancers-141-connectionthrottle</id>
<author>
<name>Rackspace Cloud</name>
</author>
<entry>
<title type="text">Error Updating Connection Throttle</title>
<summary type="text">Could not update the connection throttle at this time</summary>
<link href="https://ord.loadbalancers.api.rackspacecloud.com/v1.0/1234/loadbalancers/141/connectionthrottle/"/>
<id>1234-loadbalancers-141-connectionthrottle-2011881846570</id>
<category term="UPDATE"/>
<updated>2011-03-29T18:46:57.000Z</updated>
</entry>
</feed>

![[Note]](/loadbalancers-v1.0-clb-devguide/common/images/admon/note.png)
